Package Details: thrust 1.10.0-1

Git Clone URL: https://aur.archlinux.org/thrust.git (read-only, click to copy)
Package Base: thrust
Description: A C++ parallel programming library which resembles the C++ Standard Library
Upstream URL: https://github.com/thrust/thrust
Keywords: CUDA OpenMP TBB
Licenses: Apache
Submitter: zasdfgbnm
Maintainer: vicp74
Last Packager: vicp74
Votes: 3
Popularity: 0.035143
First Submitted: 2017-02-04 19:29
Last Updated: 2020-10-09 07:54

Dependencies (3)

Required by (2)

Sources (2)

Latest Comments

vicp74 commented on 2020-08-03 16:27

@petronny : Since your question involves both Thrust and CUB, I've made a post on the forums to discuss it and to avoid jumping between comments on this package and on CUB.

https://bbs.archlinux.org/viewtopic.php?id=257903

Everyone is welcome to reply with their thoughts there!

petronny commented on 2020-07-24 13:42

Hi, I'm the maintainer of cub on AUR.

I've updated cub to 1.9.10 and added you as a co-maintainer. You can update their pkgver at the same time :)

BTW, should cub be splitted into cub and cub-cuda? Also should thrust be splitted into thrust and thrust-cuda, thrust-intel, thrust-openmp?

vicp74 commented on 2020-07-21 19:41

I've added cub as an integrated dependency, because that is what upstream recommends [1]. Besides, the other cub package on AUR is really outdated.

Please let me know if it's working correctly now.

[1] They say "It is recommended to simply delete your own version of CUB and use the version of CUB that comes with Thrust." on the CHANGELOG for v1.9.10

bartus commented on 2020-07-17 08:33

cub dependency is missing !!

Since thrust 1.9.8 internal version of cub was removed and thrust relies on system one (cub_version==thrust_version).

Patch

# merge with
git am -s < <(curl -s http://ix.io/2rQE)

Already posted out of deta request for cub